[meego-commits] 8553: Changes to devel:browser/v8

wfang6 no_reply at build.meego.com
Mon Oct 18 00:33:10 UTC 2010


Hi,
I have made the following changes to v8 in project devel:browser. Please review and accept ASAP.

Thank You,
wfang6

[This message was auto-generated]

---

Request #8553:

  submit:   home:wfang6:branches:devel:browser/v8(r4)(cleanup) -> devel:browser/v8


Message:
    None

State:   new          2010-10-17T17:33:09 wfang6
Comment: None



changes files:
--------------
--- v8.changes
+++ v8.changes
@@ -0,0 +1,3 @@
+* Mon Oct 18 2010 Wei Fang <wei.w.fang at intel.com> - 2.4.8
+- Update to 2.4.8 for chromium 7.0.542, fix BMC #7051
+
@@ -13 +16 @@
-* Tue Jun 08 2010 Jan-Simon Möller <jsmoeller at linuxfoundation.org> - 2.1.0
+* Tue Jun 08 2010 Jan-Simon Mör <jsmoeller at linuxfoundation.org> - 2.1.0
@@ -54 +56,0 @@
-

old:
----
  v8-20100806svn5198.tar.bz2

new:
----
  v8-2.4.8-20101004svn5585.tar.bz2
  v8-daily-tarball.sh

spec files:
-----------
--- v8.spec
+++ v8.spec
@@ -1,10 +1,10 @@
-%global svncheckout 20100806svn5198
+%global svncheckout 20101004svn5585
 
 # For the 1.2 branch, we use 0s here
 # For 1.3+, we use the three digit versions
 %global somajor 2
-%global sominor 3
-%global sobuild 5
+%global sominor 4
+%global sobuild 8
 %global sover %{somajor}.%{sominor}.%{sobuild}
 
 Name:		v8
@@ -15,9 +15,9 @@
 License:	BSD
 URL:		http://code.google.com/p/v8
 # No tarballs, pulled from svn
-# svn checkout http://v8.googlecode.com/svn/trunk/ v8
-# find v8 -depth -name .svn -type d -exec rm -rf {} \;
-Source0:	v8-%{svncheckout}.tar.bz2
+# Checkout script is Source1
+Source0:	v8-%{version}-%{svncheckout}.tar.bz2
+Source1:	v8-daily-tarball.sh
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 ExclusiveArch:	%{ix86} x86_64 arm
 BuildRequires:	scons, readline-devel
@@ -36,7 +36,8 @@
 Development headers and libraries for v8.
 
 %prep
-%setup -q -n %{name}
+%setup -q -n %{name}-%{version}-%{svncheckout}
+
 # -fno-strict-aliasing is needed with gcc 4.4 to get past some ugly code
 PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing -Wno-unused-parameter\'| sed "s/ /',/g" | sed "s/',/', '/g"`
 sed -i "s|'-O3',|$PARSED_OPT_FLAGS,|g" SConstruct
@@ -111,3 +112,236 @@
 %defattr(-,root,root,-)
 %{_includedir}/*.h
 %{_libdir}/*.so
+
+%changelog
+* Mon Oct  4 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.4.8-1.20101004svn5585
+- update to 2.4.8
+
+* Tue Sep 14 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.4.3-1.20100914svn5450
+- update to 2.4.3
+
+* Tue Aug 31 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.11-1.20100831svn5385
+- update to svn5385
+
+* Fri Aug 27 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.11-1.20100827svn5365
+- update to 2.3.11, svn5365
+
+* Tue Aug 24 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.10-1.20100824svn5332
+- update to 2.3.10, svn5332
+
+* Thu Aug 18 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.9-1.20100819svn5308
+- update to 2.3.9, svn5308
+
+* Thu Aug 11 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.7-1.20100812svn5251
+- update to svn5251
+
+* Wed Aug 11 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.7-1.20100811svn5248
+- update to 2.3.7, svn5248
+
+* Mon Aug 10 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.6-1.20100809svn5217
+- update to 2.3.6, svn5217
+
+* Fri Aug  6 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.5-1.20100806svn5198
+- update to 2.3.5, svn5198
+
+* Mon Jul 26 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.3-1.20100726svn5134
+- update to 2.3.3, svn5134
+
+* Fri Jul 16 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.3.0-1.20100716svn5088
+- update to 2.3.0, svn5088
+
+* Tue Jul  6 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.22-1.20100706svn5023
+- update to 2.2.22, svn5023
+
+* Fri Jul  2 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.21-1.20100702svn5010
+- update to svn5010
+
+* Wed Jun 30 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.21-1.20100630svn4993
+- update to 2.2.21, svn4993
+- include checkout script
+
+* Thu Jun  3 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.14-1.20100603svn4792
+- update to 2.2.14, svn4792
+
+* Tue Jun  1 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.13-1.20100601svn4772
+- update to 2.2.13, svn4772
+
+* Thu May 27 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.12-1.20100527svn4747
+- update to 2.2.12, svn4747
+
+* Tue May 25 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.11-1.20100525svn4718
+- update to 2.2.11, svn4718
+
+* Thu May 20 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.10-1.20100520svn4684
+- update to svn4684
+
+* Mon May 17 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.10-1.20100517svn4664
+- update to 2.2.10, svn4664
+
+* Thu May 13 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.9-1.20100513svn4653
+- update to svn4653
+
+* Mon May 10 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.9-1.20100510svn4636
+- update to 2.2.9, svn4636
+
+* Tue May  4 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.7-1.20100504svn4581
+- update to 2.2.7, svn4581
+
+* Mon Apr 19 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.3-1.20100419svn4440
+- update to 2.2.3, svn4440
+
+* Tue Apr 13 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.2-1.20100413svn4397
+- update to 2.2.2, svn4397
+
+* Thu Apr  8 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.1-1.20100408svn4359
+- update to 2.2.1, svn4359
+
+* Mon Mar 29 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.2.0-1.20100329svn4309
+- update to 2.2.0, svn4309
+
+* Thu Mar 25 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.1.8-1.20100325svn4273
+- update to 2.1.8, svn4273
+
+* Mon Mar 22 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.1.5-1.20100322svn4204
+- update to 2.1.5, svn4204
+
+* Mon Mar 15 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.1.4-1.20100315svn4129
+- update to 2.1.4, svn4129
+
+* Wed Mar 10 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.1.0-1.20100310svn4088
+- update to 2.1.3, svn4088
+
+* Thu Feb 18 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.1.0-1.20100218svn3902
+- update to 2.1.0, svn3902
+
+* Fri Jan 22 2010 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.6-1.20100122svn3681
+- update to 2.0.6, svn3681
+
+* Tue Dec 29 2009 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.5-1.20091229svn3528
+- svn3528
+
+* Mon Dec 21 2009 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.5-1.20091221svn3511
+- update to 2.0.5, svn3511
+
+* Wed Dec  9 2009 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.3-1.20091209svn3443
+- update to 2.0.3, svn3443
+
+* Tue Nov 24 2009 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.2-1.20091124svn3353
+- update to 2.0.2, svn3353
+
+* Wed Nov 18 2009 Tom "spot" Callaway <tcallawa at redhat.com> 2.0.0-1.20091118svn3334
+- update to 2.0.0, svn3334
+
+* Tue Oct 27 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.16-1.20091027svn3152
+- update to 1.3.16, svn3152
+
+* Tue Oct 13 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.15-1.20091013svn3058
+- update to svn3058
+
+* Thu Oct  8 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.15-1.20091008svn3036
+- update to 1.3.15, svn3036
+
+* Tue Sep 29 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.13-1.20090929svn2985
+- update to svn2985
+- drop unused parameter patch, figured out how to work around it with optflag mangling
+- have I mentioned lately that scons is garbage?
+
+* Mon Sep 28 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.13-1.20090928svn2980
+- update to 1.3.13, svn2980
+
+* Wed Sep 16 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.11-1.20090916svn2903
+- update to 1.3.11, svn2903
+
+* Wed Sep  9 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.9-1.20090909svn2862
+- update to 1.3.9, svn2862
+
+* Thu Aug 27 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.8-1.20090827svn2777
+- update to 1.3.8, svn2777
+
+* Mon Aug 24 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.6-1.20090824svn2747
+- update to 1.3.6, svn2747
+
+* Tue Aug 18 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.4-1.20090818svn2708
+- update to svn2708, build and package d8
+
+* Fri Aug 14 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.4-1.20090814svn2692
+- update to 1.3.4, svn2692
+
+* Wed Aug 12 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.3-1.20090812svn2669
+- update to 1.3.3, svn2669
+
+* Mon Aug 10 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.2-1.20090810svn2658
+- update to svn2658
+
+* Fri Aug  7 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.2-1.20090807svn2653
+- update to svn2653
+
+* Wed Aug  5 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.2-1.20090805svn2628
+- update to 1.3.2, svn2628
+
+* Mon Aug  3 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.1-1.20090803svn2607
+- update to svn2607
+
+* Fri Jul 31 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.1-1.20090731svn2602
+- update to svn2602
+
+* Thu Jul 30 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.1-1.20090730svn2592
+- update to 1.3.1, svn 2592
+
+* Mon Jul 27 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.3.0-1.20090727svn2543
+- update to 1.3.0, svn 2543
+
+* Fri Jul 24 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.14-1.20090724svn2534
+- update to svn2534
+
+* Mon Jul 20 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.14-1.20090720svn2510
+- update to svn2510
+
+* Thu Jul 16 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.14-1.20090716svn2488
+- update to svn2488
+
+* Wed Jul 15 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.14-1.20090715svn2477
+- update to 1.2.14, svn2477
+
+* Mon Jul 13 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.13-1.20090713svn2434
+- update to svn2434
+
+* Sat Jul 11 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.13-1.20090711svn2430
+- update to 1.2.13, svn2430
+
+* Wed Jul  8 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.12-1.20090708svn2391
+- update to 1.2.12, svn2391
+
+* Sat Jul  4 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.11-1.20090704svn2356
+- update to 1.2.11, svn2356
+
+* Fri Jun 26 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.9-1.20090626svn2284
+- update to svn2284
+
+* Wed Jun 24 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.9-1.20090624svn2262
+- update to 1.2.9, svn2262
+
+* Thu Jun 18 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.7-2.20090618svn2219
+- fix unused-parameter patch
+
+* Thu Jun 18 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.7-1.20090618svn2219
+- update to 1.2.8, svn2219
+
+* Mon Jun 8 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.7-2.20090608svn2123
+- fix gcc44 compile for Fedora 11
+
+* Mon Jun  8 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.7-1.20090608svn2123
+- update to 1.2.7, svn2123
+
+* Thu May 28 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.2.5-1.20090528svn2072
+- update to newer svn checkout
+
+* Sun Feb 22 2009 Tom "spot" Callaway <tcallawa at redhat.com> 1.0.1-1.20090222svn1332
+- update to newer svn checkout
+
+* Sun Sep 14 2008 Tom "spot" Callaway <tcallawa at redhat.com> 0.2-2.20080914svn300
+- make a versioned shared library properly
+
+* Sun Sep 14 2008 Tom "spot" Callaway <tcallawa at redhat.com> 0.2-1.20080914svn300
+- Initial package for Fedora
+

other changes:
--------------

++++++ v8-2.4.8-20101004svn5585.tar.bz2 (new)

++++++ v8-daily-tarball.sh (new)
--- v8-daily-tarball.sh
+++ v8-daily-tarball.sh
+#!/bin/bash
+
+# This script checks out v8 source from svn.
+
+LOCALDIR=`pwd`
+TODAYSDATE=`date +%Y%m%d`
+USAGE="Usage: v8-daily-tarball.sh [-hrv]"
+VERBOSE=false
+
+while getopts "hv" opt; do
+   case $opt in
+      h  ) printf "$USAGE\n"
+           printf "\nAvailable command line options:\n"
+           printf "%b\t-h\t\tthis help\n"
+           printf "%b\t-v\t\tverbose output\n\n"
+           exit 1 ;;
+      v  ) VERBOSE=true
+           printf "[VERBOSE]: Enabled\n" ;;
+      \? ) printf "$USAGE\n"
+           exit 1 ;;
+   esac
+done
+
+# If the directory is there, just nuke it and continue.
+if [ -d v8-$TODAYSDATE ]; then
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Conflicting directory found, removing v8-$TODAYSDATE/\n"
+   fi
+   rm -rf v8-$TODAYSDATE/
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Removed conflicting directory: v8-$TODAYSDATE/\n"
+   fi
+fi
+
+printf "Checking out the source tree. This will take some time.\n"
+
+if [ "$VERBOSE" = "true" ]; then
+   svn checkout http://v8.googlecode.com/svn/trunk/ v8-$TODAYSDATE
+else
+   svn --quiet checkout http://v8.googlecode.com/svn/trunk v8-$TODAYSDATE
+fi
+
+# Determine SVN rev and Version of v8 
+cd v8-$TODAYSDATE/
+SVNREV=`svnversion`   
+V8_VERSION=`head -n1 ChangeLog |cut -f2 -d: |sed 's| Version ||g'`
+cd ..
+
+printf "V8 ($V8_VERSION) svn$SVNREV [$TODAYSDATE] checked out\n"
+
+FULLVER=`echo ${V8_VERSION}-${TODAYSDATE}svn${SVNREV}`
+
+# Get rid of .svn bits to save space
+if [ "$VERBOSE" = "true" ]; then
+   printf "[VERBOSE]: Removing unnecessary .svn bits\n"
+fi
+find v8-$TODAYSDATE -depth -name .svn -type d -exec rm -rf {} \;
+
+# Now, lets look for the final target directory, without svnrev.
+if [ -d v8-$FULLVER ]; then
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Removing conflicting directory: v8-$FULLVER/\n"
+   fi
+   rm -rf v8-$FULLVER/
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Removed conflicting directory: v8-$FULLVER/\n"
+   fi
+fi
+
+# At this point, we know the v8 target directory does not exist, time to rename the checkout
+if [ "$VERBOSE" = "true" ]; then
+   printf "[VERBOSE]: Renaming checkout directory from: v8-$TODAYSDATE/ to: v8-$FULLVER/\n"
+fi
+mv v8-$TODAYSDATE/ v8-$FULLVER/
+
+# Now, lets look for the tarball.
+if [ -f v8-$FULLVER.tar.bz2 ]; then
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Found existing tarball matching v8-$FULLVER.tar.bz2, removing.\n"
+   fi
+   rm -f v8-$FULLVER.tar.bz2
+   if [ "$VERBOSE" = "true" ]; then
+      printf "[VERBOSE]: Removed conflicting file: v8-$FULLVER.tar.bz2\n"
+   fi
+fi
+         
+if [ "$VERBOSE" = "true" ]; then
+   printf "[VERBOSE]: Creating tarball: v8-$FULLVER.tar.bz2\n"
+fi
+tar cfj v8-$FULLVER.tar.bz2 v8-$FULLVER
+
+# All done.
+printf "Daily v8 source processed and ready: v8-$FULLVER.tar.bz2\n"
+exit 0

++++++ deleted files:
--- v8-20100806svn5198.tar.bz2




More information about the MeeGo-commits mailing list